package net.Chipperfluff.chipi.command;

import net.fabricmc.fabric.api.command.v2.CommandRegistrationCallback;
import net.minecraft.server.command.ServerCommandSource;

public final class CommandHandler {

    private CommandHandler() {}

    public static void register() {
        CommandRegistrationCallback.EVENT.register(
            (dispatcher, registryAccess, environment) -> {
                ChpCommand.register(dispatcher);
                CspCommand.register(dispatcher);
                SpawnJrCommand.register(dispatcher);
            }
        );
    }
}
